## File manipulation

## Usage

    file.create(...)
    file.exists(...)
    file.remove(...)
    file.append(file1, file2)

## Arguments

`..., file1, file2` | character vectors, containing file names.

## Description

These functions provide a very basic interface to the computer's filestore.

## Details

The `...` arguments are concatenated to form one character string: you can specify the files separately or as one vector.

`file.create` creates files with the given names if they do not already exist and truncates them if they do. It returns a logical vector indicating the success or failure of the operation for each file.

`file.exists` returns a logical vector indicating whether the files named by its argument exist.

`file.remove` attempts to remove the files named in its argument. It returns a logical vector indicating whether or not it succeeded in removing each file.

`file.append` attempts to append the files named by its second argument to those named by its first. The R subscript recycling rule is used to align names given in vectors of different lengths.

## Author(s)

Ross Ihaka.

## See Also

`file.show`, `list.files`.

## Examples

    cat("file A\n", file="A")
    cat("file B\n", file="B")
    file.append("A", "B")
    file.create("A")
    file.append("A", rep("B", 10))
    if(interactive()) file.show("A")

    file.remove("A","B")

[Package Contents]